Skip to main content
GET
/
parties
/
{party_id}
/
members
List party members
curl --request GET \
  --url https://api.natural.co/parties/{party_id}/members \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "type": "user",
      "id": "usr_019cd1798d657de5b5fed4198cb9fac0",
      "attributes": {
        "party_id": "pty_019cd1798d617f65a79cb965dda9eac3",
        "user_name": "Eric Smith",
        "user_email": "eric@natural.co",
        "role": "MEMBER",
        "status": "ACTIVE",
        "type": "member",
        "invitation_id": null,
        "party_type": "ORG",
        "party_display_name": "Natural",
        "party_legal_name": "Natural AI, Inc",
        "invited_by": null,
        "created_at": "2024-01-01T00:00:00Z",
        "updated_at": "2024-01-15T10:30:00Z"
      }
    }
  ],
  "meta": {
    "pagination": {
      "has_more": false,
      "next_cursor": null
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Agent-ID
string | null

Agent ID (agt_xxx) identifying which agent is making the request.

X-Instance-ID
string | null

Agent session/conversation ID for observability.

Maximum string length: 1024

Path Parameters

party_id
string
required

Query Parameters

cursor
string | null

Cursor for pagination

limit
integer
default:50

Max items per page

Required range: 1 <= x <= 100
include_invitations
boolean
default:true

Include pending invitations in results

Response

Successful Response

List response for party members.

data
UserMemberResource · object[]
required

List of resources

meta
ResponseMeta · object

Response metadata